---
title: "segEndX"
excerpt: "Compute the ending point of the provided line segment along the 'x' axis."
layout: manual
---

Compute the ending point of the provided line segment along the 'x' axis.



```js
segEndX(tag: TagIdentifier) -> number
```


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `tag` | [`TagIdentifier`](/docs/kcl/types#tag-identifier) | The line segment being queried by its tag | Yes |

### Returns

`number` 


### Examples

```js
exampleSketch = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> line(end = [20, 0], tag = $thing)
  |> line(end = [0, 5])
  |> line(end = [segEndX(thing), 0])
  |> line(end = [-20, 10])
  |> close()

example = extrude(exampleSketch, length = 5)
```

![Rendered example of segEndX 0](data:image/png;base64,[encoded data, 69668 characters])


